SND_CTL_REPLACE(9)

NAME
snd_ctl_replace - replace the control instance of the card

SYNOPSIS

int snd_ctl_replace(struct snd_card * card, struct snd_kcontrol * kcontrol, bool add_on_replace);

ARGUMENTS

card
    the card instance

kcontrol
    the control instance to replace

add_on_replace
    add the control if not already added

DESCRIPTION

Replaces the given control. If the given control does not exist and the add_on_replace flag is set, the control is added. If the control exists, it is destroyed first.

It frees automatically the control which cannot be added or replaced.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT